#### D.15.8.18 grsyz

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grsyz(M), graded object M

Return:
  graded object

Purpose:
  compute graded syzygy of M

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module A = grgroebner( grobj( module([x+y, x, 0, 3], [0, x+y, y, 2], [y, y, z, 1]), intvec(0,0,0,1) ) );
    grview(A);
    ==> Graded homomorphism: r^3 + r(-1) <- r(-1)^3 + r(-2) + r(-3), given by a m\
       atrix, with degrees:
    ==>      ..1 ..2 ..3 ..4 ..5 ....
    ==>      --- --- --- --- --- +...
    ==>   0 :  1   1   1   2   - |..1
    ==>   0 :  1   -   1   -   - |..2
    ==>   0 :  1   1   1   2   3 |..3
    ==>   1 :  0   0   0   1   2 |..4
    ==>      === === === === ===
    ==>        1   1   1   2   3
    grview(grsyz(A));
    ==> Graded homomorphism: r(-1)^3 + r(-2) + r(-3) <- r(-2) + r(-3), given by a\
        matrix, with degrees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   1 :  1   - |..1
    ==>   1 :  1   2 |..2
    ==>   1 :  1   - |..3
    ==>   2 :  0   1 |..4
    ==>   3 :  -   0 |..5
    ==>      === ===
    ==>        2   3
    module X = grgroebner( grobj( module([x]), intvec(2) ) );
    grview(X);
    ==> Graded homomorphism: r(-2) <- r(-3), given by a diagonal matrix, with deg\
       rees:
    ==>     .1 ...
    ==>     -- +..
    ==>  2 : 1 |.1
    ==>     ==
    ==>      3
    // syzygy module should be zero!
    grview(grsyz(X));
    ==> Graded homomorphism: r(-3) <- 0, given by zero (1 x 0) matrix.

User manual for Singular version 4.4.1, 2025, generated by texi2html.